Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query
Class QueryBuilder.CastAsLowerBoundary

    java.lang.Object
      org.modeshape.jcr.query.QueryBuilder.CastAs<QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>>
          org.modeshape.jcr.query.QueryBuilder.CastAsLowerBoundary

Enclosing class:
  QueryBuilder

    public class QueryBuilder.CastAsLowerBoundary

extends QueryBuilder.CastAs<QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>>

Field Summary

Fields inherited from class org.modeshape.jcr.query.QueryBuilder.CastAs
`value`

Constructor Summary
`protected` | `QueryBuilder.CastAsLowerBoundary(QueryBuilder.ComparisonBuilder builder, Object value)`

Method Summary
`QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>` | `as(String type)` Define the left-hand side literal value cast as the specified type.

Methods inherited from class org.modeshape.jcr.query.QueryBuilder.CastAs
`asBoolean, asDate, asDouble, asLong, asPath, asString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryBuilder.CastAsLowerBoundary

    protected QueryBuilder.CastAsLowerBoundary(QueryBuilder.ComparisonBuilder builder,
                                               Object value)

Method Detail

### as

    public QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary> as(String type)

  Define the left-hand side literal value cast as the specified type.

  Specified by:
    `as` in class `QueryBuilder.CastAs<QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>>`
  Parameters:
    `type` - the property type; may not be null
  Returns:
    the builder to complete the constraint; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.